insurancesim=function(l, n, m, d, theta)
{
  #simulate number of failures, total cost
  #compute cost with and without insurance
  N=rpois(1, l)
  Y=rgamma(N,n,m)
  C0=sum(Y)
  C1=min(C0, d) + (1-theta)*max(C0-d, 0)
  return(c(C0, C1))
}
l=10
n=5
m=1e-3
d=1e4
theta=0.9
N=1500
A=matrix(rep(0,2*N),N, 2)
for (j in 1:N)
{
  A[j,]=insurancesim(l,n,m,d, theta)
}
Rindif=mean(A[,1]-A[,2])