newsvendor=function(m,sigma,r,w,s,Q,N)
{
  A=rep(0,N)
  for (j in 1:N)
  {
    X=rnorm(1,m,sigma)
    A[j]=r*min(X,Q)+s*max(Q-X,0)-w*Q
  }
  return(mean(A))
}
#
m=100; sigma=10; r=5; w=3; s=0.5; N=1500
Qvalues=seq(10, 200, 5)
p=rep(0,length(Qvalues))
for (j in 1:length(Qvalues))
{
  p[j]=newsvendor(m, sigma, r, w, s, Qvalues[j], N)
}
plot(p~Qvalues, type="l")

